Subject: Re: [PATCH] Wrap RUNTIME_PREFIX warning in a compile-time condition

From: Johannes Sixt <[email-masked]>
Date: Tue, 23 Feb 2010 10:43:12 +0100

Johannes Schindelin schrieb:
> On Tue, 23 Feb 2010, Johannes Sixt wrote:
>> With this patch, individual developers can disable the warning by setting
>>
>>    BASIC_CFLAGS += -DNO_WARN_RUNTIME_PREFIX
>>
>> in config.mak.
> 
> Would this option not prefer to be a runtime option?

No. The warning is utterly useless IMO and extremely annoying, and the
only reason that it still survives is because you disagree. ;-) Since
nobody else than I has ever complained about this warning, this patch
looks like tailor-made for me and my build-environment (and nobody else
will be affected by default), and I don't want to set an environment
variable, thank you.

-- Hannes